Adding ONOS Segment Routing CLI files to new repo
diff --git a/build/django-autoreload-notty.patch b/build/django-autoreload-notty.patch
new file mode 100755
index 0000000..a187e93
--- /dev/null
+++ b/build/django-autoreload-notty.patch
@@ -0,0 +1,22 @@
+https://code.djangoproject.com/changeset/15911
+
+Index: /django/trunk/django/utils/autoreload.py
+===================================================================
+--- /django/trunk/django/utils/autoreload.py (revision 15883)
++++ /django/trunk/django/utils/autoreload.py (revision 15911)
+@@ -74,9 +74,10 @@
+ def ensure_echo_on():
+ if termios:
+- fd = sys.stdin.fileno()
+- attr_list = termios.tcgetattr(fd)
+- if not attr_list[3] & termios.ECHO:
+- attr_list[3] |= termios.ECHO
+- termios.tcsetattr(fd, termios.TCSANOW, attr_list)
++ fd = sys.stdin
++ if fd.isatty():
++ attr_list = termios.tcgetattr(fd)
++ if not attr_list[3] & termios.ECHO:
++ attr_list[3] |= termios.ECHO
++ termios.tcsetattr(fd, termios.TCSANOW, attr_list)
+
+ def reloader_thread():
diff --git a/build/kill-port-wait.sh b/build/kill-port-wait.sh
new file mode 100755
index 0000000..0c2dcdc
--- /dev/null
+++ b/build/kill-port-wait.sh
@@ -0,0 +1,92 @@
+#!/bin/bash
+#
+# Copyright (c) 2013 Big Switch Networks, Inc.
+#
+# Licensed under the Eclipse Public License, Version 1.0 (the
+# "License"); you may not use this file except in compliance with the
+# License. You may obtain a copy of the License at
+#
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+
+usage() {
+ cat <<EOF >&2
+
+$0 - kill process listening on a port, wait for it to terminate
+
+Call syntax:
+
+ $0 -p <port> [OPTS]
+
+OPTIONS:
+ -p <port> wait for port <port> to listen on
+ -t <time> wait <t> seconds for port to show up
+
+ -h this help
+
+EOF
+}
+
+PROGNAME="$0"
+SHORTOPTS="hp:t:"
+
+ARGS=$(getopt $SHORTOPTS "$@" )
+
+if [ $? -gt 0 ]; then
+ echo "Error getting options" >&2
+ exit 2
+fi
+
+timeout=15
+
+eval set -- "$ARGS"
+
+while true; do
+ case $1 in
+ -h)
+ usage
+ exit 0
+ ;;
+ -p)
+ port="$2"
+ shift
+ ;;
+ -t)
+ timeout="$2"
+ shift
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ ;;
+ esac
+ shift
+done
+
+if [ ! "$port" ]; then
+ usage
+ exit 1
+fi
+
+for((i=0; i < 15; i++ )); do
+ if ! pid=$(lsof -t -iTCP:$port -sTCP:LISTEN); then
+ exit 0
+ fi
+ kill ${pid}
+ sleep 1
+done
+
+echo "Error: Program on port $pid failed to exit" >&2
+exit 10
diff --git a/build/start-and-wait-for-port.sh b/build/start-and-wait-for-port.sh
new file mode 100755
index 0000000..15f4e4a
--- /dev/null
+++ b/build/start-and-wait-for-port.sh
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# Copyright (c) 2013 Big Switch Networks, Inc.
+#
+# Licensed under the Eclipse Public License, Version 1.0 (the
+# "License"); you may not use this file except in compliance with the
+# License. You may obtain a copy of the License at
+#
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+
+usage() {
+ cat <<EOF >&2
+
+$0 - start process in the background, wait 15 secs for port to come up
+
+Call syntax:
+
+ $0 -p <port> [OPTS] <cmd> [arg1] [arg2...]
+
+OPTIONS:
+ -p <port> wait for port <port> to listen on
+ -l <logfile> logfile to use for nohup output
+ -t <time> wait <time> seconds for port to show up
+
+ -h this help
+
+EOF
+}
+
+
+PROGNAME="$0"
+SHORTOPTS="hp:l:t:"
+
+ARGS=$(getopt $SHORTOPTS "$@" )
+
+if [ $? -gt 0 ]; then
+ echo "Error parsing options" >&2
+ exit 1
+fi
+timeout=15
+
+eval set -- "$ARGS"
+
+while true; do
+ case $1 in
+ -h)
+ usage
+ exit 0
+ ;;
+ -p)
+ port="$2"
+ shift
+ ;;
+ -l)
+ log="$2"
+ shift
+ ;;
+ -t)
+ timeout="$2"
+ shift
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ ;;
+ esac
+ shift
+done
+
+if [ ! "$port" -o ! "$*" ]; then
+ usage
+ exit 1
+fi
+
+if [ ! "$log" ]; then
+ if [ "$VIRTUALENV" ]; then
+ logdir="$VIRTUALENV/log"
+ else
+ logdir="/tmp"
+ fi
+ log="$logdir/$(basename $1).log"
+fi
+
+if pid=$(lsof -t -iTCP:$port -sTCP:LISTEN); then
+ echo "$* already running on port $port" >&1
+ exit 0
+fi
+
+echo "Launching $* (log: $log)" >&2
+
+nohup "$@" >$log 2>&1 &
+if [ $? -gt 0 ]; then
+ echo "Error: Launch of $@ failed with exit code $?" >&2
+ exit 11
+fi
+
+echo -n "Waiting for port $port..." >&2
+for((i=0; i < $timeout; i++ )); do
+ if pid=$(lsof -t -iTCP:$port -sTCP:LISTEN); then
+ echo " OK"
+ exit 0
+ fi
+ sleep 1
+ echo -n "."
+done
+
+echo " FAIL: Launched program $@ failed to bring up port within $timeout seconds" >&2
+exit 10